=============================================================================
Intel(R) Server Board S5000PAL / S5000XAL BMC RELEASE NOTES
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================
DATE:       Jul 19, 2007
TO:         Intel(R) Server Board S5000PAL / S5000XAL customers
SUBJECT:    FRUSDR Package FAL v43 Release Notes


=============================================================================
LEGAL INFORMATION
=============================================================================

Information in this document is provided in connection with Intel products 
and for the purpose of supporting Intel developed server boards and systems. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2005 - 2007 Intel Corporation.


=============================================================================
ABOUT THIS RELEASE
=============================================================================

The FRUSDR Load utility is a DOS application program used for updating the 
server management subsystem product level field replacement unit (FRU) and 
sensor data repository (SDR).

This utility is used to update the non-volatile storage device associated 
with the baseboard management controller (BMC), which holds the SDR and FRU 
area. The utility has the capability to generically handle FRU devices that
may not be associated with the BMC.

Each version of the FRUSDR Load Utility package contains the FRUSDR Load
utility program as well as the latest FRU, SDR, and CFG files available at the
time the FRUSDR Load utility package is released.  

Utility and File Versions:

	FRUSDR Load Utility v 7.0.7
	SDR Files: AL_43.SDR
	FRU Files: ALMBD_05.FRU
	           ALXMBD_3.FRU

Reference Documentation:
	
	1. ESB2 BMC Core EPS, Revision 1.2 (WIP)
	2. System Configuration: See Intel(R) Server Board S5000XAL
	   Configuration Sheet (BR).xls, Rev 01
	3. Fan Speed Control: See FSC SDR Intel(R) Server Board S5000XAL (BR).xls, Rev 02
	4. Voltage: See Bensley Sever Management SDR 1_5.xls, Version 1.5


=============================================================================
SYSTEM HARDWARE REQUIREMENTS/REVISIONS
=============================================================================

Intel(R) Server Board S5000XAL with the following PBA revisions (or higher):
	- PBA# D13607-203 (or later)
	- BMC firmware must previously have been installed. If this is not the 
	  case, first follow the directions to install the required BMC firmware
	  before installing this package. 

=============================================================================
SYSTEM SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

The FRUSDR Load utility is a DOS application program used for updating the 
server management subsystem product level field replacement unit (FRU) and 
sensor data repository (SDR).

This utility is used to update the non-volatile storage device associated 
with the baseboard management controller (BMC), which holds the SDR and FRU 
area. The utility has the capability to generically handle FRU devices that
may not be associated with the BMC.

1. Executes under the DOS shell.
2. KCS interface must be enabled.

BMC / BIOS Dependency
	- S5000PAL BMC Firmware version 0.60 or later.
	- S5000PAL R0081 BIOS or later.


=============================================================================
IMPORTANT INSTALLATION NOTES
=============================================================================

The FRUSDR Load utility is meant to be used as a DOS application on a server. 
The utility should be placed onto a bootable DOS media and the system rebooted 
just before and right after using the utility. Running the utility in a Window's
DOS box is not supported and will provide incorrect results. 

=============================================================================
DISPLAY and UPDATE FRU, SDR, and SMB Flash Areas
=============================================================================

	1. Boot to the ROM-DOS command prompt.

	2. Copy frusdr.exe and any .fru, .sdr, and .cfg files from the latest 
	   firmware release to a hard drive or USB key.

	3a. To run the command-line interface to display information: 

	    frusdr [File Name] [Options]

		Where:

			/? or /h Displays usage information.
			/d {fru | sdr | smb} Displays the requested area: 
				fru = FRU data
				sdr = SDR repository
				smb = SMBIOS information
			/cfg filename.cfg Uses a custom configuration file, with file
			 extension .cfg.
			/p Pause between blocks of data.

		Note: Users may use a '-' instead of the '/' in the command line. 

		Examples:

			1. To display the Intel(R) server board SMBIOS:
			   C> FRUSDR /P /D SMB 

			2. To display the Intel(R) server board SDRs:
			   C> FRUSDR /P /D SDR 

			3. To display the Intel(R) server board BMC FRU:
			   C> FRUSDR /P /D FRU 

	3b. To update FRUs and SDRs using default configuration file master.cfg:

		frusdr /cfg master.cfg

	3c. To run the command-line interface to display data using direct
	    addressing: 

	    frusdr /d fru [NVS type] [dev ctlr] [lun] [bus] [addr]

		Where:

			[NVS type] = non-volatile storage type
			[dev ctlr] = device controller (must start with "C")
			[lun] = logical unit number (must start with "L" and can only
				be 0, 1, 2, or 3.
			[bus] = bus the storage area is associated with
			[addr] = slave address 

		Example of a command to display BMC FRU data using direct 
		addressing:

		frusdr /d fru imbdevice C20 L00 FF 20
	 
	3d. To run the command-line interface to display data using indirect 
	    addressing

	    frusdr /d fru [NVS type] [device ID]

		Where:

			[NVS type] = non-volatile storage type
			[device ID] = the device to display

	Example of a command using indirect addressing:

		frusdr /d fru imbdevice 00


	4. Reboot server after updating of the FRUs or SDRs is completed.


=============================================================================
TEMPORARY FILES
=============================================================================

You can create temporary files by using the undocumented "/tmp" switch 
on the command line. When the FRUSDR Load utility is executed,
this switch creates temporary files that are created when the FRUSDR Load
utility is executed. These temporary files can be used to recreate any 
problems that occur during the update. The FRUSDR Load utility does not 
delete the temporary files. If a temporary file is created, the user must 
delete it.

Example:

	frusdr /d sdr /tmp

	where:
		/d sdr	display SDR data
		/tmp	create a temporary file

	The FRUSDR Load utility creates a file called sdr.tmp in the current 
	directory.


=============================================================================
KNOWN ISSUES/WORKAROUNDS
=============================================================================

1. The utilities may display error messages when programming the EEPROM for the
   first time. Reload the FRU individually before using the -cfg option.

2. The I2C address for the PS0 (upper PS slot) FRU at A0h conflicts with the
   AT24C64 EEPROM on the server board. The AT24C64 EEPROM is used by the BMC for 
   both FRU and private store information. Remove the upper PS slot as a 
   workaround for this issue. Use only the bottom power supply with this BMC 
   release.

3. The OEM SDR supports 64 bytes (40h). The FSC OEM SDR exceeds the maximum size
   of the OEM SDR.

4. A oversized SDR was separated into two SDRs for solving workaround number 3.
   See defect number 126340.

=============================================================================
FEATURES ADDED IN THIS RELEASE
=============================================================================
FAL_43 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL (BR) 02 and implemented in this
   release.
2. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet (BR) 01 and
   implemented in this release.
3. Added support for Dual-Core and Quad-Core 45nm Intel Xeon processors in this release.

FAL_42 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL 41 and implemented in this
   release.

FAL_41 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL 41 and implemented in this
   release.

FAL_41 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL 40 and implemented in this
   release.

FAL_40 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL 39 and implemented in this
   release.

FAL_39 
1. Changed the FRUSDR Load Utility to v 7.0.7

FAL_38A 
1. Changed the FRUSDR Load Utility to v 7.0.6.

FAL_38 
1. Cleaned up the SDR, CFG files for easy review & modifications.

FAL_37 
1. N/A

FAL_36 
1. N/A

FAL_35 
1. N/A

FAL_34 
1. N/A

FAL_33 
1. N/A

FAL_33B 
1. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet 42 and
   implemented in this release.

FAL_33A 
1. Reviewed FSC SDR Intel(R) Server Board S5000XAL 37 and implemented in this
   release.
2. Reviewed Intel(R) S5000 Server Management SDR V1.4 and implemented in this
   release.
3. Reviewed Intel(R) S5000 Server Management SDR V1.5 and implemented in this
   release.
4. Reviewed Intel(R) S5000 Server Management SDR V1.52 and implemented in this
   release.

FAL_32 
1. N/A

FAL_31 
1. Reviewed Intel(R) S5000 Server Management SDR V1.2 and implemented in this
   release.
2. Reviewed Intel(R) S5000 Server Management SDR V1.3 and implemented in this
   release.

FAL_30 
1. BMC_REFRESH feature added to avoid AC Cycle after FRUSDR Package update.

FAL_29 
1. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet 41 and
   implemented in this release.

FAL_28 
1. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet 38 and
   implemented in this release.
2. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet 39 and
   implemented in this release.
3. Reviewed Intel(R) Server Board S5000XAL Configuration Sheet 40 and
   implemented in this release.


=============================================================================
ISSUES FIXED SINCE LAST RELEASE
=============================================================================
FAL_43E  (Released on Jun 15, 2007)
1. Implement FBDIMM aggregate thermal sensor functions in FRUSDR package. (Implement FSC SDR Intel(R) Server Board S5000XAL (BR) 01 and ntel(R) Server Board S5000XAL Configuration Sheet (BR) 01.)

FAL_42  (Released on Apr 17, 2007)
1. Defect# 127718. Request new FRUSDR build for (SR2500). (Implement FSC SDR Intel(R) Server Board S5000XAL 41.)

FAL_41  (Released on Mar 29, 2007)
1. Defect# 127709. Limit the DriskillLX fan domain 3 configuration to a maximum of 75% PWM for performance and acoustic modes. (Implement FSC SDR Intel(R) Server Board S5000XAL 40.)

FAL_40  (Released on November 13, 2006)
1. Defect# 127577. Remove a known issue from readme since next FRU package. (Removed the description in Readme.txt.)
2. Defect# 127564. Update to the petrof bay and  throttling boundary conditions (v39 of the FSC doc). (Implement FSC SDR Intel(R) Server Board S5000XAL 39.)

FAL_39  (Released on November 09, 2006)
1. Defect# 127575. FRU entity id given in morther FRU device locater record is wrong. (Fixed FRU entity id from 0c to 07 in SDR record.)

FAL_38A (Released on October 19, 2006)
1. Defect# 127544. FRUSDR 38 Master.cfg file error. (Fixed Master.cfg at Processor 2.)

FAL_38  (Released on October 03, 2006)
1. Defect# 127474: Version interchanged in ReadMe.txt in FAL_37 package.
2. Defect# 127494: Sensor #86 needs to be removed from the ALFCT_36.sdr
3. Defect# 127520: SLV: FAL_37 displays Dual-Core processor present with Quad-Core Intel Xeon processor 5300 series - should say Multi-core.
4. Defect# 127531: Need to add support for 2nd PECI sensors (per proc) for Quad-Core Intel Xeon processor 5300 series.

FAL_37  (Released on August 23, 2006)
1. Defect# 127406. FRUSDR processor detection text not in S5000PAL / S5000XAL SDR - not consistent with other product SDR's.  Also should include Quad-Core Intel Xeon processor 5300 series support in time for CT launch. (Fix the String when proceesor detect in Master.cfg.)
2. Defect# 127408. Board serial number and part number in the FRU area is too large. (Fixed the ALMBD and ALXMBD Broad Info field)
3. Defect# 127410. The SEL event record data "BB VBat" sensor didn't match with EPS1.1. (Fixed the VBB record from sensor type from 0x02 to 0x29, event type from 0x05 to 0x6F)
4. Defect# 127459. FRU Custom Chassis Type info not updated when "Other chassis" is selected (Fixed by adding custom field for OTHER chassis in Master.cfg)
5. Fixed the ALMBD_05.fru and ALXMBD_3.fru product name and product name type/length byte fields.

FAL_36  (Released on July 13, 2006)
1. Defect# 127357. The following SDR's are being reported as having issues which affect customer's software. (Fixed the entity instance values in CPU2 VRD Temp and CPU2 Vcc OOR records.)
2. Remove the PVCS header.

FAL_35  (Released on June 30, 2006)
1. Defect# 125853. No SEL entry to indicate loss of redundancy after 10th SBE injection in sparing. (Update the Sensor Initialization byte in the sensors F0h to F5h from 2Dh to 67h.)
2. Defect# 127340. Change required for legal wording in FRUSDR release notes. (Fix release note title.)
3. Remove processor 2 records of Domain 3 and Domain 4 in other chassis.
4. Fix Count of Temperature valus from 08 to 09.

FAL_34  (Released on June 17, 2006)
1. Defect# 127295. Update CPU steppings in FRUSDR

FAL_33  (Released on June 05, 2006)
1. Rolled up version to 33

FAL_32  (Released on May 22, 2006)
1. Remove BB+1.9V NIC CORE record.

FAL_31  (Released on May 15, 2006)
1. Defect# 127031. Assertion event mask,Reading mask/threshold mask of sensor number 82 in SDR gives S3 as supported but EPS shows this as not supported. (The ACPI State (Sensor number 82h) will be fixed from BB00 to B300 in assertion event mask and reading mask.)
2. Defect# 127045. The Set points for the S5000PAL / S5000XAL voltages need to change to be less constrained. (Fix the voltage table refer Intel(R) S5000 Server Management SDR V1.3 in AL_31.sdr and ALFCT_31.sdr.)
3. Defect# 127068. In Master.cfg file of FAL_29 platform ID is incorrect. (Remove 'DISPLAY "Platform ID for S5000PAL is 0x29"' in Master.cfg)
4. Defect# 127103. Power supply sub system is shown as redundant when one is absent. (Change like below.)
   IFSET "PS_2"
     SET "OPT_700W_S1"
     SET "RED_700W_S1"
     IFSET "PS_1"
       DISPLAY "Power supply sub-system is redundant"
     ENDIF
   ENDIF
5. Defect# 127125. Remove the reference to mini BMC and Sahalee from Master.cfg files. (Remove CLEAR "BMC_NBMC" and CLEAR "BMC_SAHALEE" in Master.cfg.)

FAL_30  (Released on May 10, 2006)
1. N/A

FAL_29  (Released on May 04, 2006)
1. Defect# 126742. Dowling 2 FRUSDR Errors when entering P/N and S/N. (Setting ALMBD_04.FRU chassis field more larger.)
2. Defect# 126903. SMBIOS Base Board (or Module) Information (Type 2) Product Version is wrong. (In ALMBD_04, FRU Version Number change to 0.04 in Board field.)
3. Defect# 127028. Dual-Core Intel Xeon processor 5100 series Clamping SDR needs to be set to signed values or it won't work right. (Set the Temperature Info bit 7 if processor is Dual-Core Intel Xeon processor 5100 series)
4. Create new files with AutoFCT.cfg and ALFCT_29.sdr for FCT test.

FAL_28  (Released on April 27, 2006)
1. Defect# 126900. Clamping Tcontrol Offset for Dual-Core Intel Xeon processor 5100 series needs to be Zero. (Fixed it for other chassis.)
2. Defect# 126942. During FRUSDR processor detection, should not display type of processor detected. (Processor detect messages were removed from Master.cfg)
3. Defect# 126957. The Upper non-critical and critical values for Prochot sensors are less than Normal maximum values. (Refer S5000PAL / S5000XAL Configuration Sheet V3 and fixed it.)
4. Defect# 126966. 100% PWM SDR records need a subrecord or else the system isn't allowed to switch to profile2. (Add sub-record on 100% PWM records.)
5. Defect# 126968. Change PDB detection text in the master.cfg for Driskill2 and Petrofbay. (Change PDB detection text in the master.cfg from "PS_CAGE PRESENT" to "Power Distribution Board Present".)


=============================================================================
[END OF RELEASE NOTES]
=============================================================================